#include <bits/stdc++.h>

using namespace std;

bool parsort(pair<long long, double> prvi, pair<long long, double> drugi){
    return prvi.second > drugi.second;
}

int main()
{

    long long n;
    vector<pair<long long, double>> fri;
    cin >> n;
    double procenti;
    long long dolari;
    for(long long i = 0 ; i < n ; i++){
        cin >> dolari;
        cin >> procenti;
        fri.push_back(make_pair(dolari, procenti));
    }
    sort(fri.begin(), fri.end(), parsort);
    double zarada = fri[0].first;
    procenti = fri[0].second;
    double maxporez = zarada / 100 * procenti;
    for(long long i = 1 ; i < n ; i++){
        zarada += fri[i].first;
        if(zarada / 100 * fri[i].second > maxporez){
            procenti = fri[i].second;
            maxporez = zarada / 100 * procenti;
        }
        
    }
    printf("%lf", maxporez);
    return 0;
}